CLOSEDIR(3)

NAME
closedir - close a directory

SYNOPSIS
#include <sys/types.h>

#include <dirent.h>

int closedir(DIR *dir);

DESCRIPTION
The closedir() function closes the directory stream associated with dir. The directory stream descriptor dir is not available after this call.

RETURN VALUE
The closedir() function returns 0 on success or -1 on failure.

ERRORS

EBADF
    Invalid directory stream descriptor dir.

CONFORMING TO
SVID 3, POSIX, BSD 4.3

SEE ALSO
close(2), opendir(3), readdir(3), rewinddir(3), seekdir(3), telldir(3), scandir(3)